Click or drag to resize
BrepCreatePipe Method (Curve, IEnumerableDouble, IEnumerableDouble, Boolean, PipeCapMode, Boolean, Double, Double)
Creates a single walled pipe

Namespace: Rhino.Geometry
Assembly: RhinoCommon (in RhinoCommon.dll) Version: 5.1.50000.0 (5.0.20693.0)
Syntax
public static Brep[] CreatePipe(
	Curve rail,
	IEnumerable<double> railRadiiParameters,
	IEnumerable<double> radii,
	bool localBlending,
	PipeCapMode cap,
	bool fitRail,
	double absoluteTolerance,
	double angleToleranceRadians
)

Parameters

rail
Type: Rhino.GeometryCurve
the path curve for the pipe
railRadiiParameters
Type: System.Collections.GenericIEnumerableDouble
one or more normalized curve parameters where changes in radius occur. Important: curve parameters must be normalized - ranging between 0.0 and 1.0.
radii
Type: System.Collections.GenericIEnumerableDouble
An array of radii - one at each normalized curve parameter in railRadiiParameters.
localBlending
Type: SystemBoolean
If True, Local (pipe radius stays constant at the ends and changes more rapidly in the middle) is applied. If False, Global (radius is linearly blended from one end to the other, creating pipes that taper from one radius to the other) is applied
cap
Type: Rhino.GeometryPipeCapMode
end cap mode
fitRail
Type: SystemBoolean
If the curve is a polycurve of lines and arcs, the curve is fit and a single surface is created; otherwise the result is a polysurface with joined surfaces created from the polycurve segments.
absoluteTolerance
Type: SystemDouble
The sweeping and fitting tolerance. If you are unsure what to use, then use the document's absolute tolerance
angleToleranceRadians
Type: SystemDouble
The angle tolerance. If you are unsure what to use, then either use the document's angle tolerance in radians

Return Value

Type: Brep
Array of created pipes on success
See Also